List all available shipping options for an order
List all available shipping options for an order
Required permissions: SALES_ORDER,RETURN_ORDER
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/delivery-options
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+orderUidstringRequiredPattern:
Reference to an Order.
^[A-Za-z0-9-_]+Body
startDatestring · dateRequired
endDatestring · dateRequired
postalCodestringRequired
warehouseUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
informationstring[]Required
errorsstring[]Required
Errors which causes the delivery to not be available
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/delivery-options
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/delivery-options HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 206
{
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"postalCode": "text",
"products": [
{
"productUid": "text",
"quantity": 1,
"freightServiceProductUids": [
"text"
],
"serviceProductUids": [
"text"
]
}
],
"warehouseUid": "text"
}200
Example response
{
"deliveryOptions": [
{
"freightProductUid": "text",
"freightProductName": "text",
"deliveryProviderProcessIndicator": "text",
"pickupDelivery": [
{
"pickupPointType": "text",
"pickupPointId": "text",
"name": "text",
"latitude": "text",
"longitude": "text",
"address": "text",
"postalCode": "text",
"city": "text",
"countryCode": "text",
"description": "text",
"price": 1,
"deliveryDate": "2026-01-01"
}
],
"addressDelivery": [
{
"deliveryDate": "2026-01-01",
"startTime": "text",
"endTime": "text",
"price": 1
}
],
"parcelDelivery": [
{
"deliveryDate": "2026-01-01",
"price": 1
}
]
}
],
"information": [
"text"
],
"errors": [
"text"
]
}PreviousDownload picking list for several deliveries
NextList all available service products for an order
Last updated
Was this helpful?

